import request from "utils/axios.js";
// 远程搜索公司
const getRefineryCompanyList = (params) => {
  return request.postJson(
    "/oil-user/oilCompanyInfo/getRefineryCompanyList",
    params
  );
};
// 远程搜索用户
const liekQuery = (query) => {
  return request.get(
    `oil-user/sysCustomerInfo/liekQuery/${query.queryTypeGet}`
  );
};

//公司账户详情
const getByCompanyId = (query) => {
  return request.get(`/oil-finance/oilCompanyAccount/getByCompanyId/${query}`);
};
//公司财务详情
const getByCompanyIdFinance = (query) => {
  return request.get(`/oil-user/oilCompanyFinance/getByCompanyId/${query}`);
};
export default {
  getRefineryCompanyList,
  liekQuery,
  getByCompanyId,
  getByCompanyIdFinance,
};
